Package org.lwjgl.opengles

# Class EXTTextureStorage

java.lang.Object
org.lwjgl.opengles.EXTTextureStorage

public final class EXTTextureStorage extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALPHA16F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_ALPHA32F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_ALPHA8_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_BGRA8_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_LUMINANCE_ALPHA16F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_LUMINANCE_ALPHA32F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_LUMINANCE16F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_LUMINANCE32F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_LUMINANCE8_ALPHA8_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_LUMINANCE8_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_RGB10_A2_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_RGB10_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_RGB16F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_RGB32F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_RGBA16F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_RGBA32F_EXT`
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:
`static final int`
`GL_TEXTURE_IMMUTABLE_FORMAT_EXT`
Accepted by the <value> parameter of GetTexParameter{if}v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glTexStorage1DEXT(int target, int levels, int internalformat, int width)`
`static void`
`glTexStorage2DEXT(int target, int levels, int internalformat, int width, int height)`
`static void`
`glTexStorage3DEXT(int target, int levels, int internalformat, int width, int height, int depth)`
`static void`
`glTextureStorage1DEXT(int texture, int target, int levels, int internalformat, int width)`
`static void`
`glTextureStorage2DEXT(int texture, int target, int levels, int internalformat, int width, int height)`
`static void`
`glTextureStorage3DEXT(int texture, int target, int levels, int internalformat, int width, int height, int depth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_IMMUTABLE_FORMAT_EXT

public static final int GL_TEXTURE_IMMUTABLE_FORMAT_EXT
Accepted by the <value> parameter of GetTexParameter{if}v:

See Also:
  - Constant Field Values

### GL_ALPHA8_EXT

public static final int GL_ALPHA8_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_LUMINANCE8_EXT

public static final int GL_LUMINANCE8_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_LUMINANCE8_ALPHA8_EXT

public static final int GL_LUMINANCE8_ALPHA8_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_RGBA32F_EXT

public static final int GL_RGBA32F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_RGB32F_EXT

public static final int GL_RGB32F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_ALPHA32F_EXT

public static final int GL_ALPHA32F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_LUMINANCE32F_EXT

public static final int GL_LUMINANCE32F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA32F_EXT

public static final int GL_LUMINANCE_ALPHA32F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_RGBA16F_EXT

public static final int GL_RGBA16F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_RGB16F_EXT

public static final int GL_RGB16F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_ALPHA16F_EXT

public static final int GL_ALPHA16F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_LUMINANCE16F_EXT

public static final int GL_LUMINANCE16F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA16F_EXT

public static final int GL_LUMINANCE_ALPHA16F_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_RGB10_A2_EXT

public static final int GL_RGB10_A2_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_RGB10_EXT

public static final int GL_RGB10_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

### GL_BGRA8_EXT

public static final int GL_BGRA8_EXT
Accepted by the <internalformat> parameter of TexStorage* when implemented on OpenGL ES:

See Also:
  - Constant Field Values

## Method Details

### glTexStorage1DEXT

public static void glTexStorage1DEXT(int target, int levels, int internalformat, int width)

### glTexStorage2DEXT

public static void glTexStorage2DEXT(int target, int levels, int internalformat, int width, int height)

### glTexStorage3DEXT

public static void glTexStorage3DEXT(int target, int levels, int internalformat, int width, int height, int depth)

### glTextureStorage1DEXT

public static void glTextureStorage1DEXT(int texture, int target, int levels, int internalformat, int width)

### glTextureStorage2DEXT

public static void glTextureStorage2DEXT(int texture, int target, int levels, int internalformat, int width, int height)

### glTextureStorage3DEXT

public static void glTextureStorage3DEXT(int texture, int target, int levels, int internalformat, int width, int height, int depth)